package pwc.taxtech.atms.orangeheap.controller;


import org.apache.commons.lang3.StringUtils;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;
import pwc.taxtech.atms.orangeheap.dto.ApiResultDto;
import pwc.taxtech.atms.orangeheap.service.OrangeHeapService;

import javax.annotation.Resource;

@RestController
@RequestMapping("/OrangeHeap/tableau")
public class OrangeHeapController {

    @Resource
    private OrangeHeapService tableauService;

    @ResponseBody
    @GetMapping("unreturnedTax")
    public ApiResultDto getUnreturnedTax() {
        return ApiResultDto.success(tableauService.getUnreturnedTax().orElse(StringUtils.EMPTY));
    }






}
